#ifndef effect_cycle_H
#define effect_cycle_H

#include "Effect.h"
#include "effects.h"

class CycleEffect : public Effect {
private:
    Effect* effect;
    uint16_t effect_id = -1;
    unsigned long effectSince = 0;
public:
    void changeEffect();
    void start();
    void stop();

    boolean can_be_shown_with_clock();
    boolean clock_as_mask();

    void loop();
};

#endif
