#include "effect_confetti.h"
#include "config.h"
#include "functions.h"
#include "prototypes.h"

void ConfettiEffect::loop() {
	window->fadeToBlackBy(3);
	for (int i=0; i<EFFECT_CONFETTI_PIXELS_PER_LOOP; i++) {
		CRGB color(CHSV(baseHue + random8(64), 200, 255));
		window->addPixelColor(random16(LED_COUNT), &color);
	}
}

boolean ConfettiEffect::can_be_shown_with_clock() { return true; };
